POST api/FeaturesEmployer/SearchMap
Request Information
URI Parameters
None.
Body Parameters
MapSearchInput| Name | Description | Type | Additional information |
|---|---|---|---|
| PortalUrl | string |
None. |
|
| PositionArea | string |
None. |
|
| EmployerType | string |
None. |
|
| Location | string |
None. |
|
| ShowCertified | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"portalUrl": "sample string 1",
"positionArea": "sample string 2",
"employerType": "sample string 3",
"location": "sample string 4",
"showCertified": true
}
application/xml, text/xml
Sample:
<MapSearchInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public.FeatureEmployer"> <EmployerType>sample string 3</EmployerType> <Location>sample string 4</Location> <PortalUrl>sample string 1</PortalUrl> <PositionArea>sample string 2</PositionArea> <ShowCertified>true</ShowCertified> </MapSearchInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
MapSearchOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| Success | boolean |
None. |
|
| CandidatesFound | integer |
None. |
|
| FormattedCandidatesFound | string |
None. |
|
| Message | string |
None. |
|
| Markers | Collection of MapSearchCoordinates |
None. |
Response Formats
application/json, text/json
Sample:
{
"success": true,
"candidatesFound": 2,
"formattedCandidatesFound": "sample string 3",
"message": "sample string 4",
"markers": [
{
"latitude": "sample string 1",
"longitude": "sample string 2"
},
{
"latitude": "sample string 1",
"longitude": "sample string 2"
}
]
}
application/xml, text/xml
Sample:
<MapSearchOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public.FeatureEmployer">
<CandidatesFound>2</CandidatesFound>
<FormattedCandidatesFound>sample string 3</FormattedCandidatesFound>
<Markers>
<MapSearchCoordinates>
<Latitude>sample string 1</Latitude>
<Longitude>sample string 2</Longitude>
</MapSearchCoordinates>
<MapSearchCoordinates>
<Latitude>sample string 1</Latitude>
<Longitude>sample string 2</Longitude>
</MapSearchCoordinates>
</Markers>
<Message>sample string 4</Message>
<Success>true</Success>
</MapSearchOutput>